Build failed in Jenkins: ovirt_3.6_system-tests #298
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/298/changes>
Changes:
[Ondra Machacek] Fix hosted engine suite repos
------------------------------------------
[...truncated 705 lines...]
## took 1776 seconds
## rc = 1
##########################################################
##! ERROR vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
##! Last 20 log enties: logs/mocker-fedora-23-x86_64.fc23.basic_suite_3.6.sh/basic_suite_3.6.sh.log
##!
+ true
+ env_cleanup
+ echo '#########################'
#########################
+ local res=0
+ local uuid
+ echo '======== Cleaning up'
======== Cleaning up
+ [[ -e <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ echo '----------- Cleaning with lago'
----------- Cleaning with lago
+ lago --workdir <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> destroy --yes --all-prefixes
+ echo '----------- Cleaning with lago done'
----------- Cleaning with lago done
+ [[ 0 != \0 ]]
+ echo '======== Cleanup done'
======== Cleanup done
+ exit 0
Took 1602 seconds
===================================
##!
##! ERROR ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
##!########################################################
##########################################################
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=3.6
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_3.6_system-tests] $ /bin/bash -xe /tmp/hudson1494728765187333939.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=3.6
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
+ OVIRT_SUITE=3.6
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/298/artifact/exported...>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/298/artifact/exported...>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ mv <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/298/artifact/exported...>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
tar cvzf exported-artifacts/logs.tgz "${logs[@]}"
rm -rf "${logs[@]}"
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
if $failed; then
echo "Aborting."
exit 1
fi
# remove mock system cache, we will setup proxies to do the caching and this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
[ovirt_3.6_system-tests] $ /bin/bash -xe /tmp/hudson7686574083487681275.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ tar cvzf exported-artifacts/logs.tgz ./ovirt-system-tests/logs
./ovirt-system-tests/logs/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/state.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/build.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/root.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/state.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/build.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/root.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean_rpmdb/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean_rpmdb/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.basic_suite_3.6.sh/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.basic_suite_3.6.sh/basic_suite_3.6.sh.log
+ rm -rf ./ovirt-system-tests/logs
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ for mock_conf_file in '"${mock_confs[@]}"'
+ [[ -n <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ echo 'Cleaning up mock '
Cleaning up mock
+ mock_root=mocker-fedora-23-x86_64.fc23.cfg
+ mock_root=mocker-fedora-23-x86_64.fc23
+ my_mock=/usr/bin/mock
+ my_mock+=' --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests'>
+ my_mock+=' --root=mocker-fedora-23-x86_64.fc23'
+ my_mock+=' --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/'>
+ echo 'Killing all mock orphan processes, if any.'
Killing all mock orphan processes, if any.
+ /usr/bin/mock --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests> --root=mocker-fedora-23-x86_64.fc23 --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/> --orphanskill
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests....> Using default...
INFO: mock.py version 1.2.18 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Finish: run
++ grep -Po '(?<=config_opts\['\''root'\''\] = '\'')[^'\'']*' <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
+ mock_root=fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ [[ -n fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c ]]
+ mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
++ mount
++ awk '{print $3}'
++ grep fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ :
+ [[ -n '' ]]
+ false
+ shopt -u nullglob
+ sudo rm -Rf /var/cache/mock/fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
Archiving artifacts
8 years, 3 months
[JIRA] (OVIRT-612) Support to FTP files for Kimchi Project
by Paulo Ricardo Paz Vital (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-612?page=com.atlassian.jira... ]
Paulo Ricardo Paz Vital commented on OVIRT-612:
-----------------------------------------------
Hi [~eedri]
I read the standard CI and have an idea of what is necessary to add in our code to do this. I'm only finishing some other tasks and then will focus in the implementation of all CI stuff from our side.
> Support to FTP files for Kimchi Project
> ---------------------------------------
>
> Key: OVIRT-612
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-612
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: Paulo Ricardo Paz Vital
> Assignee: infra
>
> Hello,
> Kimchi is a sub-project of oVirt and we are planning to make available to users
> simple qcow2 image files of Fedora 23, OpenSUSE 42.1 and Ubuntu 16.04 with
> Kimchi installed in there.
> We need support to store the files and make them available to download, in a
> service like FTP. Since Kimchi mailing lists already use oVirt infrastructure,
> I'd like to know if it's possible to be supported by oVirt and how to do that.
> Thanks and best regards, Paulo.
> --
> Paulo Ricardo Paz Vital
> Linux Technology Center, IBM Systems
> http://www.ibm.com/linux/ltc/
--
This message was sent by Atlassian JIRA
(v1000.184.1#100008)
8 years, 3 months
Build failed in Jenkins: ovirt_3.6_publish-rpms_nightly #145
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_3.6_publish-rpms_nightly/145/>
------------------------------------------
Started by timer
Building on master in workspace <http://jenkins.ovirt.org/job/ovirt_3.6_publish-rpms_nightly/ws/>
[WS-CLEANUP] Deleting project workspace...
[workspace] $ /bin/bash -xe /tmp/hudson4748587575400680812.sh
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_3.6_publish-rpms_nightly/ws/artifacts>
+ mkdir <http://jenkins.ovirt.org/job/ovirt_3.6_publish-rpms_nightly/ws/artifacts>
Copied 8 artifacts from "ovirt-host-deploy_3.6_create-rpms-el6-x86_64_merged" build number 2
Copied 10 artifacts from "ovirt-host-deploy_3.6_create-rpms-el7-x86_64_merged" build number 1
Copied 10 artifacts from "ovirt-host-deploy_3.6_create-rpms-fc23-x86_64_merged" build number 1
Copied 4 artifacts from "ovirt-engine-sdk_3.6_build-artifacts-el6-x86_64" build number 10
Copied 4 artifacts from "ovirt-engine-sdk_3.6_build-artifacts-el7-x86_64" build number 12
Copied 4 artifacts from "ovirt-engine-sdk_3.6_build-artifacts-fc23-x86_64" build number 12
Copied 14 artifacts from "otopi_3.6_create-rpms-el6-x86_64_merged" build number 4
Copied 19 artifacts from "otopi_3.6_create-rpms-el7-x86_64_merged" build number 4
Copied 19 artifacts from "otopi_3.6_create-rpms-fc23-x86_64_merged" build number 4
Copied 8 artifacts from "ovirt-vmconsole_3.6_create-rpms-el6-x86_64_merged" build number 14
Copied 8 artifacts from "ovirt-vmconsole_3.6_create-rpms-el7-x86_64_merged" build number 14
Copied 8 artifacts from "ovirt-vmconsole_3.6_create-rpms-fc23-x86_64_merged" build number 14
Copied 4 artifacts from "ovirt-engine-cli_3.6_build-artifacts-el6-x86_64" build number 14
Copied 4 artifacts from "ovirt-engine-cli_3.6_build-artifacts-el7-x86_64" build number 14
Copied 4 artifacts from "ovirt-engine-cli_3.6_build-artifacts-fc23-x86_64" build number 14
Copied 7 artifacts from "unboundid-ldapsdk_3.6_create-rpms-el6-x86_64_merged" build number 1
Copied 7 artifacts from "unboundid-ldapsdk_3.6_create-rpms-el7-x86_64_merged" build number 1
Copied 7 artifacts from "ovirt-iso-uploader_3.6_create-rpms-el6-x86_64_merged" build number 1
Copied 7 artifacts from "ovirt-iso-uploader_3.6_create-rpms-el7-x86_64_merged" build number 1
Copied 7 artifacts from "ovirt-iso-uploader_3.6_create-rpms-fc23-x86_64_merged" build number 1
Copied 7 artifacts from "ovirt-log-collector_3.6_create-rpms-el6-x86_64_merged" build number 1
Copied 7 artifacts from "ovirt-log-collector_3.6_create-rpms-el7-x86_64_merged" build number 1
Copied 7 artifacts from "ovirt-log-collector_3.6_create-rpms-fc23-x86_64_merged" build number 1
Copied 8 artifacts from "ovirt-engine-extension-aaa-ldap_3.6_create-rpms-el6-x86_64_merged" build number 8
Copied 8 artifacts from "ovirt-engine-extension-aaa-ldap_3.6_create-rpms-el7-x86_64_merged" build number 8
Copied 8 artifacts from "ovirt-engine-extension-aaa-ldap_3.6_create-rpms-fc23-x86_64_merged" build number 8
Copied 9 artifacts from "ovirt-engine-extension-aaa-misc_3.6_create-rpms-el6-x86_64_merged" build number 3
Copied 9 artifacts from "ovirt-engine-extension-aaa-misc_3.6_create-rpms-el7-x86_64_merged" build number 3
Copied 9 artifacts from "ovirt-engine-extension-aaa-misc_3.6_create-rpms-fc23-x86_64_merged" build number 3
Copied 7 artifacts from "ovirt-engine-extension-logger-log4j_3.6_create-rpms-el6-x86_64_merged" build number 3
Copied 7 artifacts from "ovirt-engine-extension-logger-log4j_3.6_create-rpms-el7-x86_64_merged" build number 3
ERROR: Unable to find project for artifact copy: ovirt-engine-extension-logger-log4j_3.6_create-rpms-fc23-x86_64_merged_archived_for_deletion
This may be due to incorrect project name or permission settings; see help for project name in job configuration.
8 years, 3 months
[JIRA] (OVIRT-665) Jenkins: gerrit trigger plugin issues after update
by Evgheni Dereveanchin (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-665?page=com.atlassian.jira... ]
Evgheni Dereveanchin commented on OVIRT-665:
--------------------------------------------
The recommended workaround is to whitelist the parameters in hudson.model.ParametersAction.safeParameters
For gerrit trigger they are:
GERRIT_EVENT_TYPE,GERRIT_EVENT_HASH,GERRIT_BRANCH,GERRIT_TOPIC,
GERRIT_CHANGE_NUMBER,GERRIT_CHANGE_ID,GERRIT_PATCHSET_NUMBER,
GERRIT_PATCHSET_REVISION,GERRIT_REFSPEC,GERRIT_PROJECT,GERRIT_CHANGE_SUBJECT,
GERRIT_CHANGE_COMMIT_MESSAGE,GERRIT_CHANGE_URL,GERRIT_CHANGE_OWNER,
GERRIT_CHANGE_OWNER_NAME,GERRIT_CHANGE_OWNER_EMAIL,
GERRIT_PATCHSET_UPLOADER,GERRIT_PATCHSET_UPLOADER_NAME
To add them we can set the list in JENKINS_JAVA_OPTIONS of /etc/sysconfig/jenkins
> Jenkins: gerrit trigger plugin issues after update
> --------------------------------------------------
>
> Key: OVIRT-665
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-665
> Project: oVirt - virtualization made easy
> Issue Type: Bug
> Components: Jenkins
> Reporter: Evgheni Dereveanchin
> Assignee: infra
>
> It looks like the Gerrit trigger plugin is broken after yesterday's release due to SECURITY-170 implemented in the new Jenkins version:
> https://wiki.jenkins-ci.org/display/JENKINS/Plugins+affected+by+fix+for+S...
> Sample failing triggered build:
> http://jenkins.ovirt.org/job/infra-puppet_production_check-puppet-manifes...
--
This message was sent by Atlassian JIRA
(v1000.184.1#100008)
8 years, 3 months
[JIRA] (OVIRT-663) add ppc64le arch builds for oVirt projects
by Francesco Romani (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-663?page=com.atlassian.jira... ]
Francesco Romani commented on OVIRT-663:
----------------------------------------
Looking at the vdsm.spec:
- mom should be noarch
- python-cpopen, but should be there already I guess
- python-pthreading should be noarch
- ovirt-vmconsole is noarch
So everything else should be ok
> add ppc64le arch builds for oVirt projects
> ------------------------------------------
>
> Key: OVIRT-663
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-663
> Project: oVirt - virtualization made easy
> Issue Type: Task
> Reporter: eyal edri [Administrator]
> Assignee: infra
>
> now that we have a ppc64le slaves in jenkins we can start building pkg for it and deploy it to resources.ovirt.org.
> this ticket will track all pkg progress:
> # qemu-kvm - currently pending gluster builds for ppc64le, ETA - next week
> # vdsm
> # ioprocess
> [~danken][~fromani(a)redhat.com] anything else that is not noarch which we need to build?
--
This message was sent by Atlassian JIRA
(v1000.184.1#100008)
8 years, 3 months
[JIRA] (OVIRT-663) add ppc64le arch builds for oVirt projects
by eyal edri [Administrator] (oVirt JIRA)
eyal edri [Administrator] created OVIRT-663:
-----------------------------------------------
Summary: add ppc64le arch builds for oVirt projects
Key: OVIRT-663
URL: https://ovirt-jira.atlassian.net/browse/OVIRT-663
Project: oVirt - virtualization made easy
Issue Type: Task
Reporter: eyal edri [Administrator]
Assignee: infra
now that we have a ppc64le slaves in jenkins we can start building pkg for it and deploy it to resources.ovirt.org.
this ticket will track all pkg progress:
# qemu-kvm - currently pending gluster builds for ppc64le, ETA - next week
# vdsm
# ioprocess
[~danken][~fromani(a)redhat.com] anything else that is not noarch which we need to build?
--
This message was sent by Atlassian JIRA
(v1000.184.1#100008)
8 years, 3 months